//
//  NBRendersFactory.h
//  nb_map
//
//  Created by Guo Longxiang, (Longxiang.Guo@partner.bmw.com) on 2019/11/1.
//

#import <Foundation/Foundation.h>
#import "NBMapCircleController.h"
#import "NBMapPolylineController.h"
#import "NBMapPolygonController.h"
#import <MAMapKit/MAMapKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface NBRendersFactory : NSObject
+ (MAPolylineRenderer*)createWithPolyline:(NBPolyline*)polyline;
+ (MAPolygonRenderer*)createWithPolygon:(NBPolygon*)polygon;
+ (MACircleRenderer*)createWithCircle:(NBCircle*)circle;
@end

NS_ASSUME_NONNULL_END
